summaryrefslogtreecommitdiff
path: root/packaging/debs
diff options
context:
space:
mode:
authorDavid Wragg <dpw@lshift.net>2009-11-05 14:39:49 +0000
committerDavid Wragg <dpw@lshift.net>2009-11-05 14:39:49 +0000
commitc88ed6566ea28116fb303c9c8ffcc52d78c2968b (patch)
tree965ace8810a484bcf68a887ee999e68e46f56dd5 /packaging/debs
parent2cf30f366aced9bf3e02d28360f588cd0aac8586 (diff)
downloadrabbitmq-server-git-c88ed6566ea28116fb303c9c8ffcc52d78c2968b.tar.gz
Move epmd killing from the init script to the Debian postrm script
Diffstat (limited to 'packaging/debs')
-rw-r--r--packaging/debs/Debian/debian/postrm4
1 files changed, 4 insertions, 0 deletions
diff --git a/packaging/debs/Debian/debian/postrm b/packaging/debs/Debian/debian/postrm
index a999d95b29..5372ca8559 100644
--- a/packaging/debs/Debian/debian/postrm
+++ b/packaging/debs/Debian/debian/postrm
@@ -34,6 +34,10 @@ case "$1" in
if [ -d /etc/rabbitmq ]; then
rm -r /etc/rabbitmq
fi
+
+ # Stop epmd if run by the rabbitmq user
+ pkill -u rabbitmq epmd || :
+
if getent passwd rabbitmq >/dev/null; then
deluser rabbitmq
fi